body {
    font-family: sans-serif;
}

a {
    text-decoration: none;
}

/* objects */

.beginning {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
}

.spinner_container {
    perspective: 2500px;
    -webkit-perspective: 2500px;
    width: 100%;
    height: 100vh;
}

img, div.text {
    position: absolute;
    width: 60%;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    -webkit-animation-name: spin;
    -webkit-animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-duration: 5s;

    animation-name: spin;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-duration: 5s;

    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    -ms-transform-style: preserve-3d;
    transform-style: preserve-3d;

    /* shadow*/
    box-shadow: -5px 5px 10px 0px rgba(0, 0, 0, 0.1);

    /* start at 90 degrees */
    -moz-transform: rotateY(90deg);
    -ms-transform: rotateY(90deg);
    transform: rotateY(90deg);
}

div.text {
    color: white;
    background-color: blue;
    height: fit-content;
    padding-top: 10%;
    padding-bottom: 10%;
    text-align: center;
}

.hidden {
    display: none;
}

.front {
    z-index: 1;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

/* spinning */

@keyframes spin {
    from {
        -moz-transform: rotateY(90deg);
        -ms-transform: rotateY(90deg);
        transform: rotateY(90deg);
    }
    to {
        -moz-transform: rotateY(-269deg);
        -ms-transform: rotateY(-269deg);
        transform: rotateY(-269deg);
    }
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotateY(90deg);
    }
    to {
        -webkit-transform: rotateY(-265deg);
    }
}
